Bug 130430 - IOError: [Errno 5] Input/output error
IOError: [Errno 5] Input/output error
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 130798
  Show dependency treegraph
 
Reported: 2004-08-20 10:51 EDT by Robert Flanigan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 14:15:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Flanigan 2004-08-20 10:51:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
when I do "update" in Xterm and select LARGE rpm such as kernel source
I get the following error:
[root]# up2date
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1869, in doRetrieval
    self.setRetrievalProgress)
  File "/usr/share/rhn/up2date_client/up2date.py", line 190, in getPackage
    buffer = rpcServer.doCall(repos.getPackage, pkg, msgCallback,
progressCallba
ck)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 304, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 35, in
getPackage
    return self.handlers[channel['type']].getPackage(pkg, msgCallback,
progressC
allback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 183, in
getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 168, in
 getPackage
    f.close()
IOError: [Errno 5] Input/output error

I am not sure if it up2date or the local Co. forewall blocking larg
transfers.  Local security people have NOT been helpful.

Version-Release number of selected component (if applicable):
up2date-4.2.33-1

How reproducible:
Always

Steps to Reproduce:
1.up2date
2.select kernal source rpm
3.continle button
    

Actual Results:  it downloads rpm then gets :

[root@tcwest1 cron]# up2date
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1869, in doRetrieval
    self.setRetrievalProgress)
  File "/usr/share/rhn/up2date_client/up2date.py", line 190, in getPackage
    buffer = rpcServer.doCall(repos.getPackage, pkg, msgCallback,
progressCallba
ck)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 304, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 35, in
getPackage
    return self.handlers[channel['type']].getPackage(pkg, msgCallback,
progressC
allback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 183, in
getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 168, in
 getPackage
    f.close()
IOError: [Errno 5] Input/output error


Expected Results:  download and then install

Additional info:
Comment 1 Robert Flanigan 2004-08-30 11:49:26 EDT
I just found out it was a LOCAL nfs problem!  When I switched to using
a local disk for the rpm files I did not get the error 5!  I still
think the Co. fire wall is making problems for the up2date command. 
My Fedora 1 systems are haveing problems for 3 weeks now.

Note You need to log in before you can comment on or make changes to this bug.